Create a personal data erasure
POST
/v1/users/me/personal-data-erasurescurl -X POST 'https://api.embodiflow.io/v1/users/me/personal-data-erasures' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- requestIdstring必填
- tenantIdstring必填
- subjectUserIdstring必填
- pseudonymstring必填
- alreadyAppliedone of必填
- globalIdentityErasedone of必填
- globalIdentityRetainedReasonstring | null必填
- affectedTablesarray<string>必填
- erasureAuditIdstring必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"requestId": "string",
"tenantId": "string",
"subjectUserId": "string",
"pseudonym": "string",
"alreadyApplied": false,
"globalIdentityErased": false,
"globalIdentityRetainedReason": "string",
"affectedTables": [
"string"
],
"erasureAuditId": "string"
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1